org.apache.cassandra.transport

## Enum Message.Type

- java.lang.Object
- - java.lang.Enum<Message.Type>
  - - org.apache.cassandra.transport.Message.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.Type>

Enclosing class:
  Message

    public static enum Message.Type
    extends java.lang.Enum<Message.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTH_CHALLENGE`
`AUTH_RESPONSE`
`AUTH_SUCCESS`
`AUTHENTICATE`
`BATCH`
`CREDENTIALS`
`ERROR`
`EVENT`
`EXECUTE`
`OPTIONS`
`PREPARE`
`QUERY`
`READY`
`REGISTER`
`RESULT`
`STARTUP`
`SUPPORTED`

### Field Summary

Fields
`Message.Codec<?>` `codec`
`Message.Direction` `direction`
`int` `opcode`

### Method Summary

All Methods Static Methods Concrete Methods
`static Message.Type` `fromOpcode(int opcode, Message.Direction direction)`
`static Message.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ERROR

    public static final Message.Type ERROR

#### STARTUP

    public static final Message.Type STARTUP

#### READY

    public static final Message.Type READY

#### AUTHENTICATE

    public static final Message.Type AUTHENTICATE

#### CREDENTIALS

    public static final Message.Type CREDENTIALS

#### OPTIONS

    public static final Message.Type OPTIONS

#### SUPPORTED

    public static final Message.Type SUPPORTED

#### QUERY

    public static final Message.Type QUERY

#### RESULT

    public static final Message.Type RESULT

#### PREPARE

    public static final Message.Type PREPARE

#### EXECUTE

    public static final Message.Type EXECUTE

#### REGISTER

    public static final Message.Type REGISTER

#### EVENT

    public static final Message.Type EVENT

#### BATCH

    public static final Message.Type BATCH

#### AUTH_CHALLENGE

    public static final Message.Type AUTH_CHALLENGE

#### AUTH_RESPONSE

    public static final Message.Type AUTH_RESPONSE

#### AUTH_SUCCESS

    public static final Message.Type AUTH_SUCCESS

### Field Detail

#### opcode

    public final int opcode

#### direction

    public final Message.Direction direction

#### codec

    public final Message.Codec<?> codec

### Method Detail

#### values

    public static Message.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Message.Type c : Message.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Message.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromOpcode

    public static Message.Type fromOpcode(int opcode,
                                          Message.Direction direction)